---
title: MediaQueryList.matches
slug: Web/API/MediaQueryList/matches
tags:
  - API
  - Adaptive Design
  - CSSOM
  - CSSOM View
  - DOM
  - Media Queries
  - MediaQueryList
  - Property
  - Reference
  - matches
---
<p>{{APIRef("CSSOM")}}</p>

<p>The <strong><code>matches</code></strong> read-only property of the {{DOMxRef("MediaQueryList")}} interface is a {{jsxref("Boolean")}} that returns <code>true</code> if the {{DOMxRef("document")}} currently matches the media query list, or <code>false</code> if not.</p>

<p>You can be notified when the value of <code>matches</code> changes by watching for the {{domxref("MediaQueryList.change_event", "change")}} event to be fired at the <code>MediaQueryList</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>matches</var> = &lt;varm&gt;MediaQueryList.matches;</pre>

<h3 id="Value">Value</h3>

<p>A {{DOMxRef("Boolean")}} which is <code>true</code> if the {{DOMxRef("document")}} currently matches the media query list; otherwise, it's <code>false</code>.</p>

<h2 id="Examples">Examples</h2>

<p>This example detects viewport orientation changes by creating a media query using the <code><a href="/en-US/docs/Web/CSS/@media/orientation">orientation</a></code> media feature:</p>

<pre class="brush: js notranslate">function addMQListener(mq, callback) {
  if (mq.addEventListener) {
    mq.addEventListener("change", callback);
  } else {
    mq.addListener(callback);
  }
}

addMQListener(window.matchMedia("(orientation:landscape)"),
  event =&gt; {
    if (event.matches) {
      /* now in landscape orientation */
    } else {
      /* now in portrait orientation */
    }
  }
);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th>Specification</th>
   <th>Status</th>
   <th>Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSSOM View", "#dom-mediaquerylist-matches", "matches")}}</td>
   <td>{{Spec2("CSSOM View")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaQueryList.matches")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/CSS/Media_queries">Media queries</a></li>
 <li><a href="/en-US/docs/CSS/Using_media_queries_from_code">Using media queries from code</a></li>
 <li>{{DOMxRef("window.matchMedia()")}}</li>
 <li>{{DOMxRef("MediaQueryList")}}</li>
 <li>{{DOMxRef("MediaQueryListEvent")}}</li>
</ul>
